Auto Multiple Choice - Bug # 417: AMC 1.3.0 Feuille de réponse pas reconnue correctement

Status: Closed Priority: Urgent

Author: Joél Brogniart Category:

Created: 05/13/2016 Assignee: Alexis Bienvenie

Updated: 04/12/2017 Due date:

Description: Pour un examen avec les pages réponses séparées des pages questions, j'ai environ 450 copies numérisées

et lorsque je lance la saisie automatique des sujets, seules les pages "Questions" sont correctement
reconnues. Les pages "Réponses” ne sont pas correctement reconnues. Ce qui est particulierement grave
parce que ce sont les pages les plus importantes.

En fait les pages réponses sont partiellement reconnues puisque elles apparaissent correctement dans le
détail de la sortie des commandes. Par contre aucune des pages "Réponses” n'apparait dans la zone
"Diagnostic" de I'onglet "Saisie". Seules les pages "Questions" y sont listées.

Apres avoir fait le nettoyage du projet et supprimé tous les scans du dossier correspondant, j'ai activé le mode
debug et lancé la saisie automatique sur le scan d'une page "Réponses” (fichier log joint). Dans la zone
"Détail de la sortie des commandes" la page apparait avec le bon numéro de copie et le bon numéro de
page.

<pre>

Page : +350/11/53+

===<analyse>=+1

</pre>

Dans le dossier "scans" du projet il y a bien une copie du fichier pdf d'entrée :
"qcm-20160512123459-0011.pdf-page-001-000.pbm". Il y a aussi un fichier "page-350-11.jpg" dans le
dossier "cr" du projet.

Mais la zone "Diagnostic" de I'onglet "Saisie" est désespérement vide.

History

05/13/2016 09:50 am - Alexis Bienvenilie

Peut-on voir le fichier source ?

05/13/2016 09:54 am - Joél Brogniart

Oui, mais comme c'est un examen réel, je transmets les informations sur un autre canal.

05/13/2016 10:19 am - Joél Brogniart
J'ai recommencé l'opération de saisie d'une page "Réponses" sur une deuxieme machine qui est sensée avoir une installation d'AMC similaire et la la

saisie fonctionne correctement.

L'installation d'AMC n'a pas été faite au méme moment sur les deux machines alors si les versions d'AMC sont identiques, il n'en est pas
nécessairement de méme pour les nombreuses dépendances. Au vu de l'erreur

<pre>

Can't locate object method "Crop" via package "Exception 410: no images defined “Image::Magick::Q16'

</pre>

qui apparait dans le journal debug, il est possible que le probleme soit plutét du c6té de la version d'ImageMagick installée sur les deux machines.

Du coup, ce n'est plus un probléme "Urgent" puisque je peux lancer la saisie sur I'autre machine. Je vais lancer la saisie compléte et si tout ce passe
bien je pense qu'il faudra clore ce "bug".

05/13/2016 11:00 am - Joél Brogniart

Bon il y avait bien des versions différentes d'ImageMagick sur le deux machines. Sur ma machine principale (la ou ¢a ne marchait pas).

<pre>

05/14/2025 1/2



ImageMagick @6.9.3-4 graphics/ImageMagick
p5.22-perimagick @6.9.3-4 perl/p5-perlmagick

</pre>

Sur la machine ou ¢a marche.

<pre>

ImageMagick @6.9.3-10 graphics/ImageMagick
p5.22-perimagick @6.9.3-10 perl/p5-perimagick
</pre>

Apres avoir mis a jour toutes les dépendances (dont ImageMagick) sur ma machine principale, AMC reconnait correctement les feuilles "Réponses” a

nouveau. Ouf.

Le probléme est maintenant résolu et AMC travaille comme un fou a reconnaitre (correctement) les copies.

Désolé pour le dérangement, j'ai un peu paniqué.

04/12/2017 10:02 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
AMC-DEBUG-HKNaiGPX.log 240.8 kB 05/13/2016 Joél Brogniart
05/14/2025 2/2



